/*================================================
	Global
================================================*/


/*}}}
{{{ Base
*/

*,
*::before,
*::after {
	box-sizing: border-box;
	overflow-wrap: break-word;
}

body {
	background: linear-gradient(180deg, var(--wp--preset--color--background) 0, var(--wp--preset--color--quaternary) 40vh) no-repeat;
}


/*}}}
{{{ Typography
*/

dt {
	font-weight: bold;
}

dd {
	margin-left: 0;
}

[data-reset="list"] {
	padding-left: 0;
	list-style: none;
}


/*}}}
{{{ Media
*/

img,
picture,
video,
canvas,
svg {
	display: block;
	height: auto;
	max-width: 100%;
}

video {
	width: 100%;
}

embed,
iframe,
object {
	max-width: 100%;
}

svg {
	fill: currentColor;
}


/*}}}
{{{ Tables
*/

td {
	font-variant-numeric: tabular-nums;
}


/*}}}
{{{ Links
*/

.btn {
	background-color: var(--wp--preset--color--primary);
	border-radius: var(--wp--custom--rounded--full);
	color: var(--wp--preset--color--background);
	display: inline-block;
	padding: var(--wp--custom--space--xxs) var(--wp--custom--space--s);
	text-decoration: none;
}


/*}}}*/


/*================================================
	Composition
================================================*/


/*}}}
{{{ Center
*/

.alignwide {
	box-sizing: content-box;
	margin-left: auto;
	margin-right: auto;
	max-width: 74rem;
}

.alignfull {
	box-sizing: content-box;
	margin-left: calc(-50vw + 50%);
	margin-right: calc(-50vw + 50%);
}


/*}}}
{{{ Layout
*/

.site-header {
	padding-left: var(--wp--custom--space--500);
	padding-right: var(--wp--custom--space--500);
}

.wp-site-blocks > main {
	padding-left: var(--wp--custom--space--500);
	padding-right: var(--wp--custom--space--500);
	margin-top: 0;
	/* overflow: hidden; */
}


/*}}}
{{{ Stack
*/

.stack > * {
	margin-top: 0;
	margin-bottom: 0;
}

.stack > * + * {
	margin-top: var(--wp--custom--space--500);
}

.stack-small > * {
	margin-top: 0;
	margin-bottom: 0;
}

.stack-small > * + * {
	margin-top: var(--wp--custom--space--300);
}


/*}}}
{{{ Cluster
*/

.cluster {
	align-items: var(--cluster-vertical, center);
	display: flex;
	flex-wrap: wrap;
	gap: var(--cluster-gap, var(--wp--custom--space--s));
	justify-content: var(--cluster-horizontal, flex-start);
}


/*}}}
{{{ Frame
*/

.frame {
	/* aspect-ratio: 16 / 9; */
	margin: 0;
}

.frame > * {
	aspect-ratio: 16 / 9;
}

.frame > img {
	object-fit: cover;
	width: 100%;
}


/*}}}*/


/*================================================
	Utilities
================================================*/


/*}}}
{{{ Borders
*/

.banner-block {
	gap: 0 !important;
	border-bottom: var(--wp--custom--border--medium) solid var(--wp--preset--color--primary);
	padding: 0;
}

.banner-block > * {
	flex: 1 1 50% !important;
}

.banner-block .frame {
	height: 100%;
}

.banner-block__content {
	padding: var(--wp--custom--space--m);
}

.u-banner-bottom-border { border-bottom: var(--wp--custom--border--medium) solid var(--wp--preset--color--primary); }
.u-measure { max-width: var(--wp--custom--measure--base); }


/*}}}*/


/*================================================
	Blocks
================================================*/


/*}}}
{{{ Home
*/

.posts-grid {
	display: grid;
	grid-gap: var(--wp--custom--space--500);
	grid-template-columns: repeat(auto-fill, minmax(min(18rem, 100%), 1fr));
}


/*}}}
{{{ Page Banner
*/

.page-banner,
.page-banner .block-editor-inner-blocks > .block-editor-block-list__layout {
	display: flex;
	flex-wrap: wrap;
}

.page-banner > *,
.page-banner .block-editor-inner-blocks > .block-editor-block-list__layout > * {
	flex: 1 1 25em;
}

.page-banner {
	background-color: var(--wp--preset--color--tertiary);
	border-bottom: var(--wp--custom--border--thick) solid var(--wp--preset--color--primary);
	overflow: hidden;
	position: relative;
}

.page-banner__content {
	padding: var(--wp--custom--space--m);
	position: relative;
	z-index: 1;
}

.page-banner__image > .block-editor-inner-blocks > .block-editor-block-list__layout {
}

.page-banner__image .frame {
	height: 100%;
}

.page-banner[data-state="landing"] .page-banner__image {
	filter: grayscale(1) opacity(.4) contrast(2);
	height: 100%;
	-webkit-mask-image: linear-gradient(to right, transparent 0%, black 100%);
	mask-image: linear-gradient(to right, transparent 0%, black 100%);
	mix-blend-mode: multiply;
	position: absolute;
	right: 0;
	top: 0;
	width: 66%;
}

@media(max-width:60em) {
	.page-banner[data-state="landing"] .page-banner__image {
		-webkit-mask-image: none;
		mask-image: none;
		filter: grayscale(1) opacity(.1) contrast(2);
		width: 100%;
	}
}


/*}}}
{{{ Back Link
*/

.back-link {
	background-color: var(--wp--preset--color--primary);
	border-radius: var(--wp--custom--rounded--full);
	color: var(--wp--preset--color--background);
	display: inline-block;
	font-size: .875rem;
	padding: .2em .9em;
	text-decoration: none;
	vertical-align: middle;
}

.back-link svg {
	display: inline;
	margin-right: .25em;
}


/*}}}
{{{ Table of Contents
*/

.landing-toc {
	display: grid;
	grid-gap: var(--wp--custom--space--500);
	grid-template-columns: repeat(auto-fit, minmax(min(18rem, 100%), 1fr));
}

.landing-toc__item {
	background-color: var(--wp--preset--color--foreground);
	color: var(--wp--preset--color--background);
	overflow: hidden;
	position: relative;
}

.landing-toc__link {
	display: block;
	font-size: var(--wp--preset--font-size--large);
	font-weight: bold;
	height: 100%;
	line-height: var(--wp--custom--typography--line-height--small);
	padding: var(--wp--custom--space--s);
	position: absolute;
	text-decoration: none;
	width: 100%;
	z-index: 1;
}

.wp-block-acf-landing-page-grid .landing-toc__link {
	pointer-events: none;
}

.landing-toc__image {
	filter: grayscale(1) opacity(.3);
}


/*}}}
{{{ Simple TOC
*/

.simpletoc-list {
	align-items: center;
	display: flex;
	flex-wrap: wrap;
	gap: var(--wp--custom--space--xxs);
	justify-content: flex-start;
	max-width: var(--wp--custom--measure--base);
}

.simpletoc-list a {
	background-color: var(--wp--preset--color--background);
	border-radius: var(--wp--custom--rounded--full);
	color: var(--wp--preset--color--foreground);
	display: inline-block;
	padding: var(--wp--custom--space--xxxs) var(--wp--custom--space--xs);
	text-decoration: none;
}


/* }}} */


/*================================================
//////////////////////////////////////////////////
	Modules
//////////////////////////////////////////////////
================================================*/


/*}}}
{{{ Home Blocks
*/

.home-blocks {
	padding-bottom: var(--wp--custom--space--xxl-xxxl);
}

.home-blocks > * + * {
	margin-top: var(--wp--custom--space--xxl-xxxl);
}

.home-blocks__banner {
	display: flex;
	flex-direction: column-reverse;
}

.home-blocks__banner__intro {
	max-width: var(--wp--custom--measure--base);
}

@media(min-width:60em) {
	.home-blocks__banner__intro {
		margin-left: auto;
		margin-right: auto;
	}
}


/*}}}
{{{ Home: Banner
*/

.home-banner {
	border-bottom: var(--wp--custom--border--thick) solid var(--wp--preset--color--primary);
	display: grid;
	grid-template-columns: max(10rem, 23%) 1fr;
	overflow: hidden;
}

.home-banner__slideshow {
	grid-column: 2;
	grid-row: 1;
}

.home-banner__sidebar {
	background-color: var(--wp--preset--color--tertiary);
	color: var(--wp--preset--color--secondary);
	display: flex;
	flex-direction: column;
	gap: var(--wp--custom--space--m);
	grid-column: 1;
	grid-row: 1;
	justify-content: space-between;
	padding: var(--wp--custom--space--m);
}

.home-banner__sidebar__sponsor {
	width: 100%;
}

.home-banner__sidebar__sponsor {
	width: 100%;
}

.home-banner__sidebar__sponsor h2 {
	font-size: .75rem;
}

.home-banner__sidebar__fixtures {
	width: 100%;
}

@media(max-width:40em) {
	.home-banner {
		display: block;
	}

	.home-banner__slideshow {
		--frame-ratio: 75%;
	}

	.home-banner__sidebar {
		align-items: center;
		flex-direction: row;
		flex-wrap: wrap;
		justify-content: space-around;
	}

	.home-banner__sidebar__sponsor {
		max-width: 9rem;
	}

	.home-banner__sidebar__fixtures {
		max-width: 9rem;
		margin: 0;
	}
}

/*}}}
{{{ Home: Sponsors
*/

.home-sponsors {
	justify-content: center;
	gap: var(--wp--custom--space--500);
}

.home-sponsors li {
	box-shadow: var(--wp--custom--shadow--small);
}

.home-sponsors img {
	height: clamp(5rem, 5vw, 10rem);
	width: auto;
}


/*}}}
{{{ Yearbooks
*/

.yearbook-list > * + * {
	margin-top: var(--wp--custom--space--500);
}

.wp-block-acf-yearbooks-list a {
	pointer-events: none;
}

.yearbook-list li {
	align-items: center;
	display: flex;
	font-variant-numeric: tabular-nums;
}

.yearbook-list li small {
	display: block;
	margin-left: var(--wp--custom--space--xs);
}


/*}}}*/


/*================================================
//////////////////////////////////////////////////
	WordPress Blocks
//////////////////////////////////////////////////
================================================*/


/*}}}
{{{ Paragraph
*/

p.has-background {
	padding: var(--wp--custom--space--500);
}


/*}}}
{{{ Columns
*/

.wp-block-columns {
	box-sizing: border-box;
}

/*}}}
{{{ Group
*/

.wp-block-group {
	box-sizing: border-box;
}

:where(.wp-block-group.has-background) {
	padding: var(--wp--custom--space--500);
}


/*}}}
{{{ Tables
*/

.wp-block-table {
	display: flex;
	flex-flow: column-reverse;
}

.wp-block-table figcaption {
	color: var(--wp--preset--color--foreground);
	font-size: 1rem;
	font-weight: bold;
	text-align: left;
	margin-bottom: var(--wp--custom--space--200);
}

.wp-block-table td,
.wp-block-table th {
	line-height: "var(--wp--custom--typography--line-height--small)";
}


/*}}}
{{{ Quote
*/

.wp-block-quote cite {
	font-size: 1rem;
	font-style: italic;
	margin-top: var(--wp--custom--space--300);
}


/*}}}
{{{ Embed
*/

.wp-block-embed figcaption {
	color: var(--wp--preset--color--foreground);
	font-size: 1rem;
	margin-top: var(--wp--custom--space--400);
	margin-bottom: 0;
}


/*}}}
{{{ Buttons
*/

.wp-block-button__link {
}


/*}}}
{{{ Cover
*/

.wp-block-cover {
	box-sizing: border-box;
}


/*}}}
{{{ Terms
*/

.wp-block-post-terms:before {
	font-weight: bold;
}

.taxonomy-category.wp-block-post-terms:before {
	content: 'Categories: ';
}

.taxonomy-post_tag.wp-block-post-terms:before {
	content: 'Tags: ';
}


